%define name    bittorrent-shadowsclient
%define version 5.8.7
%define release 1mdk

Summary:            BitTorrent is a tool for copying files from one machine to another.
Name:               %{name}
Version:            %{version}
Release:            %{release}
Source0:            BitTorrent-experimental-S-%{version}.tar.bz2
Source1:            %{name}-16.png
Source2:            %{name}-32.png
Source3:            %{name}-48.png
License:            MIT
Group:              Networking/File transfer
URL:                http://bt.degreez.net/
BuildRoot:          %{_tmppath}/%{name}-buildroot
BuildARch:	    noarch	
BuildRequires:      python-devel
Requires:	    wxPythonGTK	
Conflicts:          bittorrent, bittorrent-gui
Conflicts:	    kdelibs-common <= 3.1.3

%description
BitTorrent is a tool for copying files from one machine to another.
FTP punishes sites for being popular. Since all uploading is done
from one place, a popular site needs big iron and big bandwidth.
With BitTorrent, clients automatically mirror files they download,
making the publisher's burden almost nothing.

This package contains an experimental version of BitTorrent, which
contains many extra features.

%prep
%setup -q -n bittorrent-CVS-shadowsclient

%build
python ./setup.py build

%install
rm -rf ${RPM_BUILD_ROOT}
python setup.py install --root=${RPM_BUILD_ROOT}

# Icons
install -m 644 -D %{SOURCE1}  ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE2}  ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE3}  ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

# Menu
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat << EOF >  ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="x11" \\
		   section="Networking/File transfer" \\
		   command="btdownloadgui.py" \\
		   mimetypes="application/x-bittorrent" \\
		   accept_url="false" \\
		   multiple_files="true" \\
		   title="BitTorrent GUI" \\
		   longtitle="Download files with BitTorrent" \\
		   icon="%{name}.png"

?package(%{name}): needs="x11" \\
		   section="Networking/File transfer" \\
		   command="btcompletedirgui.py" \\
		   title="BitTorrent creator" \\
		   longtitle="Creates BitTorrent metadata files"  \\
		   icon="%{name}.png"
EOF

# Mime
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/mime-info

cat << EOF > ${RPM_BUILD_ROOT}%{_datadir}/mime-info/BitTorrent\ GUI.mime
application/x-bittorrent
	ext: torrent
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc FAQ.txt IMPORTANT* INSTALL* LICENSE.txt README* credits.txt
%{_bindir}/*
%{_libdir}/python*/site-packages/BitTorrent

%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%{_datadir}/mime-info/*


%changelog
* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.7-1mdk
- new version

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.3-2mdk
- remove conflicting KDE mime type

* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.3-1mdk
- initial contribs package

* Wed Oct 08 2003 Maxim Heijndijk <cchq@wanadoo.nl> 5.8.3-1mdk
- Initial wrap
